Device - Update File Upload Status
這個方法可用來通知 IoT 中樞已完成的檔案上傳。 如需相關資訊,請參閱 https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-file-upload 。
POST https://fully-qualified-iothubname.azure-devices.net/devices/{deviceId}/files/notifications?api-version=2021-04-12
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
device
|
path | True |
string |
裝置標識碼。 |
|
api-version
|
query | True |
string |
Api 的版本。 |
要求本文
| 名稱 | 類型 | Description |
|---|---|---|
| correlationId |
string |
|
| isSuccess |
boolean |
|
| statusCode |
integer (int32) |
|
| statusDescription |
string |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 204 No Content |
檔案上傳完成狀態物件 |
定義
FileUploadCompletionStatus
| 名稱 | 類型 | Description |
|---|---|---|
| correlationId |
string |
|
| isSuccess |
boolean |
|
| statusCode |
integer (int32) |
|
| statusDescription |
string |